Package org.eclipse.birt.chart.script.api

# Interface IChart

All Superinterfaces:
  `org.eclipse.birt.report.model.api.simpleapi.IDesignElement`, `org.eclipse.birt.report.model.api.simpleapi.IMultiRowItem`, `org.eclipse.birt.report.model.api.simpleapi.IReportElement`, `org.eclipse.birt.report.model.api.simpleapi.IReportItem`

All Known Subinterfaces:
  `IChartWithAxes`, `IChartWithoutAxes`

public interface IChart extends org.eclipse.birt.report.model.api.simpleapi.IMultiRowItem
Represents the design of a Chart in the scripting environment

## Field Summary

### Fields inherited from interface org.eclipse.birt.report.model.api.simpleapi.IReportItem

`constants`

## Method Summary

Modifier and Type
Method
Description
`ICategory`
`getCategory()`
Gets the Category that represents category(X) series in Chart model
`IText`
`getDescription()`
Gets the description of Chart
`String`
`getDimension()`
Gets the name of ChartDimension.
`IComponentFactory`
`getFactory()`
Gets factory to create simple API classes.
`ILegend`
`getLegend()`
Gets Legend in Chart model
`String`
`getOutputType()`
Gets the output type of Chart
`ILabel`
`getTitle()`
Gets the title of Chart
`boolean`
`isColorByCategory()`
Checks if color in value series is ordered by category
`void`
`setColorByCategory(boolean byCategory)`
Sets the color in value series is ordered by category
`void`
`setDimension(String dimensionName)`
Sets ChartDimension by dimension name.
`void`
`setOutputType(String type)`
Sets the output type of Chart.

### Methods inherited from interface org.eclipse.birt.report.model.api.simpleapi.IDesignElement

`getNamedExpression, getParent, getQualifiedName, getReport, getStyle, getUserProperty, getUserPropertyExpression, setNamedExpression, setUserProperty, setUserProperty`

### Methods inherited from interface org.eclipse.birt.report.model.api.simpleapi.IMultiRowItem

`addFilterCondition, addSortCondition, getFilterConditions, getSortConditions, removeFilterCondition, removeFilterConditions, removeSortCondition, removeSortConditions`

### Methods inherited from interface org.eclipse.birt.report.model.api.simpleapi.IReportElement

`getComments, getCustomXml, getDisplayName, getDisplayNameKey, getName, setComments, setCustomXml, setDisplayName, setDisplayNameKey, setName`

### Methods inherited from interface org.eclipse.birt.report.model.api.simpleapi.IReportItem

`addDataBinding, addHideRule, addHighlightRule, getBookmark, getDataBinding, getDataBindings, getHeight, getHideRules, getHighlightRules, getTocExpression, getWidth, getX, getY, removeDataBinding, removeDataBindings, removeHideRule, removeHideRules, removeHighlightRule, removeHighlightRules, setBookmark, setCurrentView, setHeight, setHeight, setTocExpression, setWidth, setWidth, setX, setX, setY, setY`

## Method Details

### getDescription

IText getDescription()
Gets the description of Chart

Returns:
  description

### getTitle

ILabel getTitle()
Gets the title of Chart

Returns:
  title

### getLegend

ILegend getLegend()
Gets Legend in Chart model

Returns:
  Legend component

### getCategory

ICategory getCategory()
Gets the Category that represents category(X) series in Chart model

Returns:
  category series

### isColorByCategory

boolean isColorByCategory()
Checks if color in value series is ordered by category

Returns:
  true by category, false by series

### setColorByCategory

void setColorByCategory(boolean byCategory)
Sets the color in value series is ordered by category

Parameters:
  `byCategory` - true by category, false by series

### getOutputType

String getOutputType()
Gets the output type of Chart

Returns:
  output type

### setOutputType

void setOutputType(String type)
Sets the output type of Chart. Supported output types include SVG, PNG, JPG, BMP and PDF. Default value is SVG.

Parameters:
  `type` - output type

### getDimension

String getDimension()
Gets the name of ChartDimension. Return values are an enumeration including "TwoDimensional", "TwoDimensionalWithDepth" and "ThreeDimensional". Default value is "TwoDimensional".

Returns:
  dimension name
See Also:
  - `ChartDimension`

### setDimension

void setDimension(String dimensionName)
Sets ChartDimension by dimension name. Dimension names are an enumeration including "TwoDimensional", "TwoDimensionalWithDepth" and "ThreeDimensional". Default value is "TwoDimensional". If dimension name is invalid, will set the default value.

Parameters:
  `dimensionName` - dimension name
See Also:
  - `ChartDimension`

### getFactory

IComponentFactory getFactory()
Gets factory to create simple API classes.

Returns:
  factory class